// Last edited on 2011-02-12 23:06:08 by stolfilocal
// EIXOS DE COORDENADAS

#macro eixo(ponta,raio,cor,nome)
  #local ctudo = vlength(ponta);
  #local cseta = 10*raio;
  #local bseta = ((ctudo - cseta)/ctudo)*ponta;
  union{
    sphere{ <0,0,0>, raio }
    cylinder{ <0,0,0>, 1.01*bseta, raio }
    cone{ bseta, 3*raio, ponta, 0.00 }
    texture{ pigment{ color rgb cor } finish{ ambient 0.5 diffuse 0.5 } }
  }
#end
#macro eixos(tamanho)
  #local raio = 0.02*tamanho;
  union{ 
    object{ eixo( <tamanho,0,0>, raio, <1.0,0.2,0.2>, "X") }
    object{ eixo( <0,tamanho,0>, raio, <0.0,0.8,0.0>, "Y") }
    object{ eixo( <0,0,tamanho>, raio, <0.3,0.3,1.0>, "Z") }
  }
#end

